#ifndef SP_H
#define SP_H

#include <QtGui/QMainWindow>
#include <QXmlStreamReader>
#include "ui_sp.h"

class SP : public QMainWindow
{
    Q_OBJECT

public:
    SP(QWidget *parent = 0);
    ~SP();
    void loadFile(const QString &filePath);
private slots:
    void on_treeWidget_doubleClicked(QModelIndex index);
    void on_actionNew_triggered();
    void on_treeWidget_customContextMenuRequested(QPoint pos);
    void on_actionSave_triggered();
    void on_treeWidget_itemClicked(QTreeWidgetItem* item, int column);
    void on_actionQutIMSP_triggered();
    void on_actionQuit_triggered();
    void on_actionOpen_triggered();
    void deleteitem();
    void additem();

private:
    void parseXml();
    QXmlStreamReader xml;
    QTreeWidgetItem *currentItem;
    QString filePath;
    QString workDir;
    QString currentTag;
    QString fileString;
    Ui::SPClass ui;
};

#endif // SP_H
